- Qt 6.9
- Qt Core
- Obsolete Members for <QPair>
- Qt 6.9.3 Reference Documentation

# Obsolete Members for <QPair>

The following members of class <QPair> are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Functions

`(deprecated)` decltype(auto) | qMakePair(T1 &&value1, T2 &&value2)

## Function Documentation

### `[constexpr noexcept(...), deprecated]` template <typename T1, typename T2> decltype(auto) qMakePair(T1 &&value1, T2 &&value2)

This function is deprecated. We strongly advise against using it in new code.

qMakePair forwards its arguments to std::make_pair, and returns the resulting std::pair. It is provided for backwards compatibility. Use std::make_pair directly instead.

Note: This function is noexcept when `noexcept(std::make_pair(std::forward<T1>(value1), std::forward<T2>(value2)))` is `true`.